## lfc 0.2.2

=== DESCRIPTION ===
Package: lfc
Type: Package
Title: Log Fold Change Distribution Tools for Working with Ratios of
        Counts
Version: 0.2.2
Author: Florian Erhard
Maintainer: Florian Erhard <florian.erhard@uni-wuerzburg.de>
Description: Ratios of count data such as obtained from RNA-seq are modelled
    using Bayesian statistics to derive posteriors for effects sizes. This
    approach is described in Erhard & Zimmer (2015) <doi:10.1093/nar/gkv696> 
    and Erhard (2018) <doi:10.1093/bioinformatics/bty471>.
License: Apache License (>= 2)
Encoding: UTF-8
RoxygenNote: 7.1.2
URL: https://github.com/erhard-lab/lfc
BugReports: https://github.com/erhard-lab/lfc/issues
Imports: stats
Suggests: knitr, rmarkdown, DESeq2, SummarizedExperiment, airway
VignetteBuilder: knitr
biocViews: Bayesian, Transcriptomics, DifferentialExpression
NeedsCompilation: no
Packaged: 2022-04-25 08:12:41 UTC; erhard
Repository: CRAN
Date/Publication: 2022-04-27 08:30:08 UTC

## lfc 0.2.3

=== DESCRIPTION ===
Package: lfc
Type: Package
Title: Log Fold Change Distribution Tools for Working with Ratios of
        Counts
Version: 0.2.3
Author: Florian Erhard
Maintainer: Florian Erhard <florian.erhard@uni-wuerzburg.de>
Description: Ratios of count data such as obtained from RNA-seq are modelled
    using Bayesian statistics to derive posteriors for effects sizes. This
    approach is described in Erhard & Zimmer (2015) <doi:10.1093/nar/gkv696> 
    and Erhard (2018) <doi:10.1093/bioinformatics/bty471>.
License: Apache License (>= 2)
Encoding: UTF-8
RoxygenNote: 7.2.1
URL: https://github.com/erhard-lab/lfc
BugReports: https://github.com/erhard-lab/lfc/issues
Imports: stats
Suggests: knitr, rmarkdown, DESeq2, SummarizedExperiment
VignetteBuilder: knitr
biocViews: Bayesian, Transcriptomics, DifferentialExpression
NeedsCompilation: no
Packaged: 2023-04-19 17:48:08 UTC; erhard
Repository: CRAN
Date/Publication: 2023-04-19 18:10:02 UTC

## lfc 1.7.4.7

=== debian/changelog ===
lfc (1.7.4.7-1build2) oneiric; urgency=low

  * Rebuild for Perl 5.12.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 08 May 2011 07:23:24 +0100

lfc (1.7.4.7-1build1) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 15:05:27 +0000

lfc (1.7.4.7-1) unstable; urgency=low

  * Update to version 1.7.4.7
  * Dropped patches lcgdm-typo.patch and lcgdm-man.patch (fixed upstream)
  * Fix bashisms (Closes: #581118, #581119)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 06 Jun 2010 14:30:32 +0200

lfc (1.7.4.4-1) unstable; urgency=low

  * Update to version 1.7.4.4
  * Dropped patches lcgdm-installpermissions.patch, lcgdm-rules.patch,
    lcgdm-initscripts.patch and lcgdm-posinc.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 18 Apr 2010 13:38:13 +0200

lfc (1.7.4.1-2) unstable; urgency=low

  * More porting fixes for GNU/Hurd

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 06 Jan 2010 00:18:31 +0100

lfc (1.7.4.1-1) unstable; urgency=low

  * Update to version 1.7.4.1
  * More porting fixes for GNU/Hurd and kfreebsd
  * Dropped patch lcgdm-missing-swig-includes.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 05 Jan 2010 08:53:20 +0100

lfc (1.7.3.1-5) unstable; urgency=low

  * Fix porting issues for GNU/Hurd and kfreebsd
  * Extend package descriptions (Closes: #561723)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 27 Dec 2009 14:59:19 +0100

lfc (1.7.3.1-4) unstable; urgency=low

  * Add missing include statements in swig interface files (Closes: #557890)
  * Use Debian's imake instead of bundled version

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 07 Dec 2009 14:38:11 +0100

lfc (1.7.3.1-3) unstable; urgency=low

  * Don't use /bin/false as shell - doesn't work with su
  * Fix bad directory used for dlopening plugins

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 24 Nov 2009 17:27:52 +0100

lfc (1.7.3.1-2) unstable; urgency=low

  * Update copyright file (Closes: #515225)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 18 Nov 2009 15:02:58 +0100

lfc (1.7.3.1-1) UNRELEASED; urgency=low

  * Update to version 1.7.3.1
  * Changed copyright file to reflect upsteam license change to Apache 2.0

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 26 Sep 2009 05:18:22 +0200

lfc (1.7.2.5-1) UNRELEASED; urgency=low

  * Updated policy to 3.8.3
  * Update to version 1.7.2.5

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 17 Aug 2009 16:57:38 +0200

lfc (1.7.0.6-3) UNRELEASED; urgency=low

  * Completed reaction to comments by ftpmasters
    - renaming perl and python packages according to debian conventions

 -- Steffen Moeller <moeller@debian.org>  Sun, 29 Mar 2009 23:44:08 +0200

lfc (1.7.0.6-2) UNRELEASED; urgency=low

  * Updated policy to 3.8.1 
  * Initial reaction to comments

 -- Steffen Moeller <moeller@debian.org>  Sun, 29 Mar 2009 23:44:08 +0200

lfc (1.7.0.6-1) UNRELEASED; urgency=low

  * Initial release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 20 Jan 2009 10:43:25 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

include /usr/share/quilt/quilt.make

INSTALLDIR = $(CURDIR)/debian/tmp

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib
_includedir = $(_prefix)/include
_sysconfdir = /etc
_localstatedir = /var
_initrddir = $(_sysconfdir)/init.d
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc

VERSION=1.7.4.7

DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

configure: configure-stamp
	:

configure-stamp: $(QUILT_STAMPFN)
	dh_testdir

	for f in config/site.def config/linux.cf ; do \
	    [ ! -e $$f.save ] && cp -p $$f $$f.save || : ; \
	done

	sed 's!@@LIBDIR@@!$(_libdir)!' -i security/Csec_api_loader.c

	# The code violates the strict aliasing rules all over the place...
	# Need to use -fnostrict-aliasing so that the -O2 optimization in
	# CFLAGS doesn't try to use them.
	sed 's/^CC +=/& $(CFLAGS) -fno-strict-aliasing -Wl,-z,defs/' \
	    -i config/linux.cf

	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
	./configure lfc --with-mysql \
		--libdir=lib \
		--with-gsoap-location=$(_prefix) \
		--with-gsoap-version=$$gsoapversion \
		--with-voms-location=$(_prefix) \
		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
		--with-ns-config-file=$(_sysconfdir)/NSCONFIG \
		--with-sysconf-dir='$$(prefix)/../etc'

	make -f Makefile.ini Makefiles

	touch $@

build: build-stamp
	:

build-stamp: configure-stamp
	dh_testdir

	$(MAKE) prefix=$(_prefix)

	touch $@

unpatch: cleanup

clean: unpatch
	:

cleanup:
	dh_testdir
	dh_testroot

	if [ -r Makefile ] ; then $(MAKE) clobber ; fi

	for f in config/site.def config/linux.cf ; do \
	    [ -e $$f.save ] && mv $$f.save $$f || : ; \
	done

	sed 's!$(_libdir)!@@LIBDIR@@!' -i security/Csec_api_loader.c

	rm -f imake/imake imake/imake.o imake/ccimake

	find . '(' -name Makefile -a '!' -path */scripts/* ')' -exec rm {} ';'

	rm -f config.status

	rm -f h/patchlevel.h
	rm -f ns/lfc.pm ns/lfc_perlwrap.c
	rm -f ns/lfc.py ns/lfc_wrap.c
	rm -f ns/lfcthr.py ns/lfcthr_wrap.c
	rm -f ns/lfc2.py ns/lfc2_wrap.c
	rm -f ns/lfc2thr.py ns/lfc2thr_wrap.c
	rm -f NSCONFIG

	rm -f build-stamp configure-stamp

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	mkdir -p debian/liblfc-dev$(_docdir)
	ln -s liblfc1 debian/liblfc-dev$(_docdir)/liblfc-dev
	mkdir -p debian/liblcgdm-dev$(_docdir)
	ln -s liblcgdm1 debian/liblcgdm-dev$(_docdir)/liblgcdm-dev
	dh_clean -k

	$(MAKE) prefix=$(INSTALLDIR)$(_prefix) install
	$(MAKE) prefix=$(INSTALLDIR)$(_prefix) install.man

	mv $(INSTALLDIR)$(_datadir)/LFC $(INSTALLDIR)$(_datadir)/lfc

	mkdir -p $(INSTALLDIR)$(_sysconfdir)/init.d
	mkdir -p $(INSTALLDIR)$(_sysconfdir)/default
	mkdir -p $(INSTALLDIR)$(_sysconfdir)/logrotate.d
	mkdir -p $(INSTALLDIR)$(_sbindir)
	mkdir -p $(INSTALLDIR)$(_mandir)/man8

	mkdir -p $(INSTALLDIR)$(_libdir)/lfc-mysql
	mkdir -p $(INSTALLDIR)$(_sysconfdir)/lfc-mysql

	# lfcdaemon startup script
	sed -e 's/LD_LIBRARY_PATH=$$LD_LIBRARY_PATH //' \
	    -e '/LD_LIBRARY_PATH/d' \
	    -e 's!/opt/lcg/bin!/usr/sbin!g' -e 's!/opt/lcg!!g' \
	    $(INSTALLDIR)$(_datadir)/lfc/rc.lfcdaemon > \
	    $(INSTALLDIR)$(_sysconfdir)/lfc-mysql/lfcdaemon.init
	chmod 755 $(INSTALLDIR)$(_sysconfdir)/lfc-mysql/lfcdaemon.init
	rm $(INSTALLDIR)$(_datadir)/lfc/rc.lfcdaemon

	# lfcdaemon configuration file
	sed -e 's!/opt/lcg!!g' \
	    -e 's/\(RUN_LFCDAEMON=\).*/\1"no"/' \
	    $(INSTALLDIR)$(_sysconfdir)/lfcdaemon.conf.templ > \
	    $(INSTALLDIR)$(_sysconfdir)/lfc-mysql/lfcdaemon.conf
	rm $(INSTALLDIR)$(_sysconfdir)/lfcdaemon.conf.templ

	# lfcdaemon log directory and log rotation configuration
	mkdir -p $(INSTALLDIR)$(_localstatedir)/log/lfc
	install -m 644 ns/lfcdaemon.logrotate \
	    $(INSTALLDIR)$(_sysconfdir)/lfc-mysql/lfcdaemon.logrotate

	# lfcdaemon binary and man page
	mv $(INSTALLDIR)$(_bindir)/lfcdaemon \
	   $(INSTALLDIR)$(_libdir)/lfc-mysql/lfcdaemon
	sed -e 's/\(\.TH [^ ]* \)1/\18/' \
	    -e 's!/opt/lcg!!g' \
	    -e 's/lfc-shutdown(1)/lfc-shutdown(8)/g' \
	    $(INSTALLDIR)$(_mandir)/man1/lfcdaemon.1 | gzip -9 -n -c > \
	    $(INSTALLDIR)$(_libdir)/lfc-mysql/lfcdaemon.8.gz
	rm $(INSTALLDIR)$(_mandir)/man1/lfcdaemon.1

	mv $(INSTALLDIR)$(_sysconfdir)/NSCONFIG.templ \
	   $(INSTALLDIR)$(_libdir)/lfc-mysql/NSCONFIG.templ

	# lfc-shutdown binary and man page
	mv $(INSTALLDIR)$(_bindir)/lfc-shutdown \
	   $(INSTALLDIR)$(_libdir)/lfc-mysql/lfc-shutdown
	sed -e 's/\(\.TH [^ ]* \)1/\18/' \
	    $(INSTALLDIR)$(_mandir)/man1/lfc-shutdown.1 | gzip -9 -n -c > \
	    $(INSTALLDIR)$(_libdir)/lfc-mysql/lfc-shutdown.8.gz
	rm $(INSTALLDIR)$(_mandir)/man1/lfc-shutdown.1

	# lfc-dli startup script
	sed -e 's/LD_LIBRARY_PATH=$$LD_LIBRARY_PATH //' \
	    -e '/LD_LIBRARY_PATH/d' \
	    -e 's!/opt/lcg/bin!/usr/sbin!g' -e 's!/opt/lcg!!g' \
	    -e 's!/var/log/dli!/var/log/lfc-dli!g' \
	    $(INSTALLDIR)$(_datadir)/lfc/rc.lfc-dli > \
	    $(INSTALLDIR)$(_sysconfdir)/init.d/lfc-dli
	chmod 755 $(INSTALLDIR)$(_sysconfdir)/init.d/lfc-dli
	rm $(INSTALLDIR)$(_datadir)/lfc/rc.lfc-dli

	# lfc-dli configuration file
	sed -e 's!/var/log/dli!/var/log/lfc-dli!g' \
	    -e 's/\(LFC_HOST=\).*/\1`hostname -f`/' \
	    -e 's/\(RUN_DLIDAEMON=\).*/\1"no"/' \
	    $(INSTALLDIR)$(_sysconfdir)/lfc-dli.conf.templ > \
	    $(INSTALLDIR)$(_sysconfdir)/default/lfc-dli
	rm $(INSTALLDIR)$(_sysconfdir)/lfc-dli.conf.templ

	# lfc-dli log directory and log rotation configuration
	mkdir -p $(INSTALLDIR)$(_localstatedir)/log/lfc-dli
	sed -e 's!/var/log/dli!/var/log/lfc-dli!g' dli/lfc-dli.logrotate > \
	    $(INSTALLDIR)$(_sysconfdir)/logrotate.d/lfc-dli

	# lfc-dli binary and man page
	mv $(INSTALLDIR)$(_bindir)/lfc-dli $(INSTALLDIR)$(_sbindir)/lfc-dli
	sed -e 's/\(\.TH [^ ]* \)1/\18/' \
	    -e 's!/var/log/dli!/var/log/lfc-dli!g' \
	    -e 's/lfcdaemon(1)/lfc-server(8)/g' \
	    $(INSTALLDIR)$(_mandir)/man1/lfc-dli.1 > \
	    $(INSTALLDIR)$(_mandir)/man8/lfc-dli.8
	rm $(INSTALLDIR)$(_mandir)/man1/lfc-dli.1

	sed 's/\(^LFC_VERSION=\).*/\1$(VERSION)/' \
	    scripts/lcg-info-provider-lfc > \
	    $(INSTALLDIR)$(_datadir)/lfc/lcg-info-provider-lfc 
	chmod 755 $(INSTALLDIR)$(_datadir)/lfc/lcg-info-provider-lfc 

	# Move plugins out of the default library search path
	mkdir $(INSTALLDIR)$(_libdir)/lcgdm
	mv $(INSTALLDIR)$(_libdir)/libCsec_plugin_* \
	   $(INSTALLDIR)$(_libdir)/lcgdm

	# Create lfc user home and certificate directories
	mkdir -p $(INSTALLDIR)$(_localstatedir)/lib/lfc
	mkdir -p $(INSTALLDIR)$(_sysconfdir)/grid-security/lfcmgr

	# Remove due to name conflict
	rm $(INSTALLDIR)$(_mandir)/man3/log.3

	# Lintian overrides
	mkdir -p $(INSTALLDIR)/usr/share/lintian/overrides
	install -m 644 debian/lfc-mysql.lintian-overrides \
	        $(INSTALLDIR)/usr/share/lintian/overrides/lfc-mysql

binary-indep:
	:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install --fail-missing
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
	dh_pysupport
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -l debian/liblcgdm1/usr/lib -l debian/liblfc1/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
	:

get-orig-source:
	dest="../lfc_$(VERSION).orig.tar.gz" ; \
	if [ -r "$$dest" ] ; then \
	  echo "'$$dest' already exists." ; \
	else \
	  uversion=LCG-DM_R_`echo $(VERSION)|tr "." "_"` ; \
	  echo "Fetching upstream svn version '$$uversion'" ; \
	  rm -rf lfc-$(VERSION) ; \
	  LANG=C svn co http://svnweb.cern.ch/guest/lcgdm/lcg-dm/tags/$$uversion lfc-$(VERSION) ; \
	  echo "Packing it up." ; \

## lfc 1.8.0.1

=== rpm/Makefile ===
#
# Copyright (c) Members of the EGEE Collaboration. 2006-2009.
# See http://public.eu-egee.org/partners/ for details on 
# the copyright holders.
# For license conditions see the license file or
# http://www.apache.org/licenses/LICENSE-2.0
#
# Authors: 
#      Akos Frohner <Akos.Frohner@cern.ch>
#
# Makefile to build all RPMs in one go.

default: all

OS=$(shell ../scripts/get-platform-os)

ifndef VERSION
include ../VERSION
endif

ifndef RELEASE_SUFFIX
RELEASE_SUFFIX=$(RC)sec.$(OS)
endif

ifeq ($(GLOBUS_LOCATION),)
GLOBUS_LOCATION=$(shell awk '/^.define.*GlobusLocation/ { print $$3 }' ../config/site.def)
endif

ifndef ORACLE_INSTANTCLIENT_LOCATION
ORACLE_INSTANTCLIENT_LOCATION=/usr
endif
ifndef ORACLE_INSTANTCLIENT_VERSION
ORACLE_INSTANTCLIENT_VERSION=10.2.0.3
endif
ORACLE_INSTANTCLIENT_LIBDIR=$(ORACLE_INSTANTCLIENT_LOCATION)/lib/oracle/$(ORACLE_INSTANTCLIENT_VERSION)/client/lib/

PYTHON_VERSION=$(shell python -c "import sys; print sys.version[:3]")

all: rpm-lcg-dm-common rpm-LFC-mysql rpm-DPM-mysql rpm-DPM-dicom-mysql
ifneq ($(PROC_INIT),)
all: rpm-LFC-oracle rpm-DPM-oracle
endif
all:
	mkdir -p ../RPMS
	cp build-*/RPMS/*/*.rpm ../RPMS/
	cp build-*/SRPMS/*.rpm ../RPMS/

install: install-lcg-dm-common install-LFC-mysql install-DPM-mysql

client: rpm-lcg-dm-common rpm-LFC-client rpm-DPM-client
	mkdir -p ../RPMS
	cp build-*/RPMS/*/*.rpm ../RPMS/
	cp build-*/SRPMS/*.rpm ../RPMS/

client-install: install-lcg-dm-common install-LFC-client install-DPM-client

py25: rpm-LFC-py25 rpm-DPM-py25
	mkdir -p ../RPMS
	cp build-*/RPMS/*/*.rpm ../RPMS/
	cp build-*/SRPMS/*.rpm ../RPMS/

py26: rpm-LFC-py26 rpm-DPM-py26
	mkdir -p ../RPMS
	cp build-*/RPMS/*/*.rpm ../RPMS/
	cp build-*/SRPMS/*.rpm ../RPMS/

check-proc:
	source $(PROC_INIT); which proc

SOURCE_DIR=LCG-DM-$(VERSION)
SOURCE_TAR=$(SOURCE_DIR).tar.gz

$(SOURCE_TAR):
	cd ..; \
	rm -rf $(SOURCE_DIR); \
	mkdir $(SOURCE_DIR); \
	cp -rp Imakefile Makefile.ini Makefile.ini.Win32 README VERSION \
		config imake test setosflags configure doc scripts \
		h lib shlib common ns rfio dpm srmv1 srmv2 srmv2.2 security \
		dli dicomcopy dpmcopy $(SOURCE_DIR); \
	find $(SOURCE_DIR) -name .svn -print0 | xargs -0 rm -rf ; \
	tar -czf $(SOURCE_TAR) $(SOURCE_DIR); \
	rm -rf $(SOURCE_DIR)
	mv ../$(SOURCE_TAR) .

source: $(SOURCE_TAR)

build-rpm: source
	mkdir -p build-rpm
	mkdir -p build-rpm/BUILD
	mkdir -p build-rpm/RPMS
	mkdir -p build-rpm/SRPMS
	mkdir -p build-rpm/SOURCES
	mkdir -p build-rpm/SPECS
	cp $(SOURCE_TAR) build-rpm/SOURCES
	for spec in *.spec; do \
		sed -e 's/@VERSION@/$(VERSION)/g;' \
			-e 's/@RELEASE@/$(RELEASE)/g;' \
			-e 's/@SECURITY@/$(RELEASE_SUFFIX)/g;' \
			-e 's/@PYTHON.VERSION@/$(PYTHON_VERSION)/g;' \
			-f $(OS).spec.requires $$spec >build-rpm/SPECS/$$spec; \
	done

###############################################################################
# common
###############################################################################

BUILD_COMMON=build-rpm/BUILD/lcg-dm-common-$(VERSION)

rpm-lcg-dm-common $(BUILD_COMMON): build-rpm 
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/lcg-dm-common.spec

install-lcg-dm-common: $(BUILD_COMMON)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_COMMON); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# LFC client
###############################################################################

BUILD_LFC_CLIENT=build-rpm/BUILD/LFC-client-$(VERSION)

rpm-LFC-client $(BUILD_LFC_CLIENT): build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-client.spec

install-LFC-client: $(BUILD_LFC_CLIENT)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_LFC_CLIENT); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# DPM client
###############################################################################

BUILD_DPM_CLIENT=build-rpm/BUILD/DPM-client-$(VERSION)

rpm-DPM-client $(BUILD_DPM_CLIENT): build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-client.spec

install-DPM-client: $(BUILD_DPM_CLIENT)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_DPM_CLIENT); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# LFC MySQL
###############################################################################

BUILD_LFC_MYSQL=build-rpm/BUILD/LFC-mysql-$(VERSION)

rpm-LFC-mysql $(BUILD_LFC_MYSQL): build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-mysql.spec

install-LFC-mysql: $(BUILD_LFC_MYSQL)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_LFC_MYSQL); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# DPM MySQL
###############################################################################

BUILD_DPM_MYSQL=build-rpm/BUILD/DPM-mysql-$(VERSION)

rpm-DPM-mysql $(BUILD_DPM_MYSQL): build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-mysql.spec

install-DPM-mysql: $(BUILD_DPM_MYSQL)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_DPM_MYSQL); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# DPM-DICOM MySQL
###############################################################################

rpm-DPM-dicom-mysql: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-dicom.spec

###############################################################################
# LFC Oracle
###############################################################################

rpm-LFC-oracle: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(ORACLE_INSTANTCLIENT_LIBDIR):$(LD_LIBRARY_PATH); \
	source $(PROC_INIT); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-oracle.spec

###############################################################################
# DPM Oracle
###############################################################################

rpm-DPM-oracle: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(ORACLE_INSTANTCLIENT_LIBDIR):$(LD_LIBRARY_PATH); \
	source $(PROC_INIT); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-oracle.spec

###############################################################################
# LFC PostgreSQL
###############################################################################

rpm-LFC-postgres: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-postgres.spec

###############################################################################
# DPM PostgreSQL
###############################################################################

rpm-DPM-postgres: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-postgres.spec

###############################################################################
# LFC Python 2.5
###############################################################################

rpm-LFC-py25: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-interfaces-py25.spec

###############################################################################
# LFC Python 2.6
###############################################################################

rpm-LFC-py26: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-interfaces-py26.spec

###############################################################################
# DPM Python 2.5
###############################################################################

rpm-DPM-py25: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-interfaces-py25.spec

###############################################################################
# DPM Python 2.6
###############################################################################

rpm-DPM-py26: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-interfaces-py26.spec

clean:
	-rm -rf ../RPMS build-rpm $(SOURCE_TAR)

=== debian/changelog ===
lfc (1.8.0.1-1) unstable; urgency=low

  * Update to version 1.8.0.1
  * Dropped patch lcgdm-bashisms patch (fixed upstream)
  * Add database schema migration to maintainer scripts
  * Fix broken condrestart action in startup scripts
  * Fix race condition in Makefile (Closes: #626070)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 11 May 2011 08:49:57 +0200

=== debian/control ===
Source: lfc
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), quilt, libglobus-gssapi-gsi-dev, libglobus-gss-assist-dev, libglobus-gsi-credential-dev, libglobus-gsi-callback-dev, libglobus-common-dev, voms-dev, gsoap, libmysqlclient-dev | libmysqlclient16-dev | libmysqlclient15-dev | libmysqlclient12-dev | libmysqlclient10-dev, uuid-dev, swig, libperl-dev, perl, python-dev, python-support, xutils-dev
XS-Python-Version: current
Standards-Version: 3.9.2
Section: libs
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/lfc
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/lfc
Homepage: http://glite.web.cern.ch/glite/

Package: liblfc1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC)
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package contains the runtime LFC client library.

Package: liblfc-dev
Section: libdevel
Architecture: any
Depends: liblfc1 (= ${binary:Version}), liblcgdm-dev, ${misc:Depends}
Description: LFC development libraries and header files
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package contains the development libraries and header files for LFC.

Package: liblcgdm1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LCG Data Management common libraries
 This package contains common libraries for the LCG Data Management
 components: the LFC (LCG File Catalog) and the DPM (Disk Pool Manager).

Package: liblcgdm-dev
Section: libdevel
Architecture: any
Depends: liblcgdm1 (= ${binary:Version}), ${misc:Depends}
Description: LCG Data Management common development files
 This package contains common development libraries and header files
 for LCG Data Management.

Package: lfc-client
Section: net
Architecture: any
Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) client
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides the command line interfaces for the LFC.

Package: liblfc-perl
Section: perl
Architecture: any
Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) perl bindings
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides Perl bindings for the LFC client library.

Package: python-lfc
Provides: ${python:Provides}
Section: python
Architecture: any
Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: LCG File Catalog (LFC) python bindings
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides Python bindings for the LFC client library.

Package: lfc-mysql
Provides: lfcdaemon
Section: net
Architecture: any
Depends: adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mysql-client
Description: LCG File Catalog (LFC) server with MySQL database backend
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides an LFC server that uses MySQL as its database
 backend.

Package: lfc-dli
Section: net
Architecture: any
Depends: lfc-mysql | lfc-postgres, ${shlibs:Depends}, ${misc:Depends}, finger
Description: LCG File Catalog (LFC) data location interface (dli) server
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides the data location interface (dli) server for
 the LFC.

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc
 
-VERSION=1.7.4.7
+VERSION=1.8.0.1
 
 DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
